<?php

session_start();

$monat     = $heute['month'];
$tag_monat = $heute['mday'];
$jahr      = $heute['year'];
$datum     = "$tag_monat.$monat.$jahr";
$today = date("j_M_Y_Gis");

foreach($HTTP_POST_VARS as $key=> $val) {
if ($val=="" and $key!="freitext") {
echo "Prüfen Sie bitte nochmals die Artikelmaße!"."<br>";
exit;
}
}

$hb = $_SESSION['hb'];
$hp = $_SESSION['hp'];
$_SESSION['kommission']=$_POST["kommission"];

$historynametxt = dirname($_SERVER["PATH_TRANSLATED"]) . "/texte/historie/". $today . "_" . $_SESSION['hb'] . "_" . $_SESSION['hp'] .".txt";
$detailnametxt = dirname($_SERVER["PATH_TRANSLATED"]) . "/texte/details/". $today . "_" . $_SESSION['hb'] . "_" . $_SESSION['hp'] .".htm";
$filenametxt = dirname($_SERVER["PATH_TRANSLATED"]) . "/texte/". $today . "_" . $_SESSION['hb'] . "_" . $_SESSION['hp'] .".txt";
$_SESSION['hdat'] = $filenametxt;

$detailetxt = fopen($detailnametxt, "w");
$historytxt = fopen($historynametxt, "w");
$filetxt = fopen($filenametxt, "w");
$filenametxt = $_SESSION['hdat'];


if (!$filetxt = fopen($filenametxt, "r+")) {
print "Kann im Moment die File-TXT nicht öffnen";
exit;
}
if (!$detailetxt = fopen($detailnametxt, "r+")) {
print "Kann im Moment die DETAIL-HTM nicht öffnen";
exit;
}


$datgröße = filesize($filenametxt);

if ($datgröße != 0) {
$contenttxt=fread($filetxt,filesize($filenametxt));
//rewind ($filetxt);
}else{
$contenttxt="";
}

$länge=0;
$länge=strlen($contenttxt);

$i = 1;
while ($i < $länge):
$letzte=strpos($contenttxt,"checkbox",$i+1);
$rest = substr($contenttxt, $letzte+8, 4);
if (($rest!="") && ((int)$rest!=0)) {
$zeilennummer=(int)$rest;
//print (int) $rest;
}
if (($i<=$länge)&&($alti<$i)){
$alti=$i;
$i=$letzte;
}else{
break;
}
endwhile;

$zeilennummer=$zeilennummer+1;

for ($u = 1; $u <= 1000; $u++) {
$_SESSION['zusatz'.$u]="";
}

$zusatz="";

$content = $content.
'<table width="700" border="0" cellspacing="0">
<tr><td width="200" align="left" class="style6"><input type="checkbox" name="checkboxname" value="checkboxwert">'.$_POST["artikelname"].'</td></tr>
<tr><td width="200" align="left" class="style11">Artikelnummer : </><td width="500" align="left" class="style11">'.$_POST["artikel"].'</td></tr>';

if ($_POST['artikelmasstyp'] == "1") {
$content = $content . '<tr><td width="200" align="left" class="style11">Maße : </><td width="500" align="left" class="style11">'."B ".$_POST["maß1"]."cm".'</td></tr>';
} else {
$content = $content . '<tr><td width="200" align="left" class="style11">Maße : </><td width="500" align="left" class="style11">'."B ".$_POST["maß1"]."cm"." x "."H ".$_POST["maß2"]."cm".'</td></tr>';
};

$content = $content . '<tr><td width="200" align="left" class="style11">Menge : </><td width="500" align="left" class="style11">'.$_POST["menge"].'</td></tr>';


for ($u = 1; $u <= 100; $u++) {
//print "Wert".$_POST["zusatz".$u]."<br>";
//print "zusatz".$zeilennummer.$u.$_SESSION['zusatz'.$zeilennummer.$u]."<br>";
//print "zusatzelement".$_POST["zusatzelement".$u]."<br>";
//print "zusatzart".$_POST["zusatz".$u]."<br>";
//print "element".$_POST[$element]."<br>"."<br>"."<br>";

$_SESSION['zusatz'.$_POST["zusatz".$u]]="checked";

$zusatznum = str_replace(",",".",$_POST["zusatz".$u]);
if (is_numeric($zusatznum)==TRUE) {
$typ=$_POST["zusatzelement".$u];
$element="zusatzart".$_POST["zusatz".$u];
$zusatz=$_POST[$element];
$eingabe=$_POST["zusatz".$u];
//print "typ ".$typ."<br>";
//print "zusatz ".$zusatz."<br>";
//print "element ".$element."<br>";
//print "eingabe ".$eingabe."<br>"."<br>"."<br>";

if ($zusatz != "") {
$content = $content.'<tr><td width="200" align="left" class="style11">'.$typ.' : </><td width="500" align="left" class="style11">'.$zusatz.'</td></tr>';
} else {
$content = $content.'<tr><td width="200" align="left" class="style11">'.$typ.' : </><td width="500" align="left" class="style11">'.$eingabe."cm".'</td></tr>';
};

}
}

//exit;

$content = $content.
'<tr><td width="200" align="left" class="style11">Kommission : </><td width="500" align="left" class="style11">'.$_POST["kommission"].'</td></tr>
<tr><td width="200" align="left" class="style11">Freitext : </><td width="500" align="left" class="style11">'.$_POST["freitext"].'</td></tr>
<tr><td width="200" align="left" class="style10"></td></tr>
</table>';



$hiscontent =   '<table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr bgcolor="#999999">
      <td height="1" colspan="4"></td>
    </tr>
    <tr>
      <td width="3%"><input type="checkbox" name="checkboxname" value="checkboxwert"></td>
      <td width="38%"><span class="style11">'.$_POST["artikelname"].'</span></td>';

if ($_POST['artikelmasstyp'] == "1") {
$hiscontent = $hiscontent . '<td width="48%"><span class="style11">'."B ".$_POST["maß1"]."cm".'</span></td>';
} else {
$hiscontent = $hiscontent . '<td width="48%"><span class="style11">'."B ".$_POST["maß1"]."cm"." x "."H ".$_POST["maß2"]."cm".'</span></td>';
};

$hiscontent = $hiscontent . '<td width="11%" class="style11">'.$_POST["menge"].'</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="38%"><span class="style13">Kommission : '.$_POST["kommission"].'</span></td>
      <td width="48%"><span class="style13">Status</span></td>
      <td width="11%"><span class="style8"><a onclick="Infofenster(' . CHR(39) . '../php/texte/details/' . $today . '_' . $_SESSION['hb'] . '_' . $_SESSION['hp'] . '.htm' . CHR(39) . ')">Details...</a></span></td>
    </tr>
      <td height="1" colspan="4"></td>
    </tr>
  </table>';



$detcontent =   '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd"><html><head><title>Artikeldetails</title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"><style type="text/css">
<!--
.style5 {
font-family: Arial, Helvetica, sans-serif; 
font-size: small; 
color: #000000;
}
.style6 {
font-family: Arial, Helvetica, sans-serif; 
font-size: small; 
font-weight: bold;
color: #000000;
}
.style7 {   
font-size: xx-large;    
font-family: Arial, Helvetica, sans-serif;    
color: #999999;
}
--></style></head>
<body>
<p class="style7">Details</p>
<table width="500" border="0" cellpadding="2" cellspacing="0">
  <tr align="center" valign="middle" bgcolor="#000066">
    <td width="702" height="20" colspan="2" class="style11"><table width="496" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
        <tr>
          <td width="491"><span class="style5">detailbereich</span></td>
        </tr>
    </table></td>
  </tr>
</table>
<p>&nbsp;</p>
</body></html>
';

$suche = '<input type="checkbox" name="checkboxname" value="checkboxwert">';
$contentdetail = str_replace($suche," ",$content);
$detcontent = str_replace("detailbereich",$contentdetail,$detcontent);



if (fputs($detailetxt, $detcontent)=== FALSE) {
print "Kann in die Datei ".$detailetxt." nicht schreiben";
exit;
}
if (fputs($filetxt, $content)=== FALSE) {
print "Kann in die Datei ".$filename." nicht schreiben";
exit;
}
if (fputs($historytxt, $hiscontent)=== FALSE) {
print "Kann in die Datei ".$historytxt." nicht schreiben";
exit;
}


$_SESSION['zusatz'.$u]=$_POST["kommission"];

$formular = $_POST[formular];
echo "<meta http-equiv='refresh' content='0; URL=../Bestellung/".$formular."'>";

?>